////////////////////////////////////////////////////////////////// COPYRIGHT //
//
//  XmdvTool Version 4.0 - A program for Multivariate Data Display
//
//  Copyright 1994-1999, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty. 
//  In no event will the authors be held liable for any damages arising 
//  from the use of this software.
// 
//  Authors:
//      Matthew O. Ward, Allen R. Martin, Ying-Huey Fua
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/~xmdv
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to the
//  XmdvTool Development Team: <matt@cs.wpi.edu>.
//
////////////////////////////////////////////////////////////////// COPYRIGHT //

#ifndef CLUSTER_PARCOORD_H
#define CLUSTER_PARCOORD_H

extern void RegisterHierParcoordCanvas(struct grCanvas *canvas);
extern void do_cluster_parcoord(struct grCanvas *canvas);
extern void InputHierParcoordMouseMotion(grCanvas *canvas, int x, int y);
extern void InputHierParcoordButtonPress(grCanvas *canvas, int button, int x, int y);
extern void InputHierParcoordButtonRelease(grCanvas *canvas, int button, int x, int y);
extern void InputHierParcoordKeyRelease(grCanvas *canvas, int key);

#include "colormap.H"

extern float cluster_radius;
extern colormap CMAP;  
extern bool EXTENT_BRUSH;
extern float fade_factor;
extern int normal_style;
extern int highlight_style;
extern bool SHOW_BANDS;
extern float extent_scaling_fac;

#endif
